SystemOrganization addCategory: #'A3-Model-Tests'!
SystemOrganization addCategory: #'A3-Model'!

TestCase subclass: #TestA3GettingTP0
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model-Tests'!

!TestA3GettingTP0 methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:32'!
testGettingTP0
	| tp aStudent |
	tp := A3Tp download: aStudent.
	self assert: (tp code asString includesSubString: '"7507 - 2C2012 - TP0 - Enunciado 1".').! !

Object subclass: #A3Tp
	instanceVariableNames: 'code student'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-Model'!

!A3Tp commentStamp: 'DiegoSanchez 12/30/2012 10:04' prior: 0!
An A3Tp is a SmallTalk TP for AlgoIII Fiuba.
!

!A3Tp class methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:35'!
download: aStudent
	| tp  |
	tp := self new.
	tp student: aStudent.
	^tp.! !

!A3Tp class methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:29'!
resource
	^'localhost:81/current_homework/7507-1C2012-TP0-Enunciado1.txt'.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:34'!
code
	^code.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:37'!
initialize
	code := '"7507 - 2C2012 - TP0 - Enunciado 1".',
	'Transcript cr.',
	'Transcript cr.',
	'',
	'unaSecuencia := Secuencia new.',
	'',
	'(unaSecuencia estaVacia) ifTrue: [Transcript show: ''Prueba 1 OK''].',
	'Transcript cr.',
	'',
	'unaSecuencia agregar: 1.',
	'unaSecuencia agregar: 10.',
	'unaSecuencia agregar: 100.',
	'',
	'unaSecuencia estaOrdenadaAscendente ifTrue: [Transcript show: ''Prueba 2 OK''].',
	'Transcript cr.',
	'',
	'(unaSecuencia obtenerUltimo = 100) ifTrue: [Transcript show: ''Prueba 3 OK''].',
	'Transcript cr.',
	'',
	'unaSecuencia estaVacia ifFalse: [Transcript show: ''Prueba 4 OK''].',
	'Transcript cr.',
	'',
	'unaSecuencia vaciar.',
	'unaSecuencia estaVacia ifTrue: [Transcript show: ''Prueba 5 OK''].'.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 16:36'!
student: aStudent
	student := aStudent.! !

!A3Tp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:10'!
title
	^'TP 0'.! !
